Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.header
Class TimeoutHeader

    java.lang.Object
      org.teleal.cling.model.message.header.UpnpHeader<Integer>
          org.teleal.cling.model.message.header.TimeoutHeader

    public class TimeoutHeader

extends UpnpHeader<Integer>

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.header.UpnpHeader
`UpnpHeader.Type`

Field Summary
`static Integer` | `INFINITE_VALUE`
`static Pattern` | `PATTERN`

Constructor Summary
`TimeoutHeader()`
`TimeoutHeader(int timeoutSeconds)`
`TimeoutHeader(Integer timeoutSeconds)`

Method Summary
`String` | `getString()`
`void` | `setString(String s)`

Methods inherited from class org.teleal.cling.model.message.header.UpnpHeader
`getValue, newInstance, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INFINITE_VALUE

    public static final Integer INFINITE_VALUE

### PATTERN

    public static final Pattern PATTERN

Constructor Detail

### TimeoutHeader

    public TimeoutHeader()

### TimeoutHeader

    public TimeoutHeader(int timeoutSeconds)

### TimeoutHeader

    public TimeoutHeader(Integer timeoutSeconds)

Method Detail

### setString

    public void setString(String s)
                   throws InvalidHeaderException

  Specified by:
    `setString` in class `UpnpHeader<Integer>`
  Throws:
    `InvalidHeaderException`

### getString

    public String getString()

  Specified by:
    `getString` in class `UpnpHeader<Integer>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.